# vim: set ft=spec: -*- rpm-spec -*-
# $Id: tcl-plugin,v 1.12 2006/07/22 19:49:43 me Exp $

%define snapshot 20060609

Name: tcl-plugin
Version: 3.1
Release: alt1

Summary: Tcl/Tk Plug-In for Mozilla
License: BSD
Group: Networking/WWW
Url: http://tclplugin.sourceforge.net/

Source: %name-%{?snapshot:%snapshot}%{!?snapshot:%version}.tar.bz2
Patch0: %name-20051117-alt-tkcon.patch
Patch1: %name-20051117-alt-plugindir.patch

PreReq: browser-plugins-npapi
Requires: tcl >= 8.4.0-alt1 tkcon >= 2.4-alt2
BuildRequires: tk-devel browser-plugins-npapi-devel

%description
Tcl/Tk Plug-In for Mozilla based web browsers

%prep
%setup -q %{?snapshot:-c}
%patch0 -p1
%patch1 -p1

%build
%configure --with-mozilla=%browser_plugins_path
%make_build

%install 
%make_install DESTDIR=%buildroot pkglibdir=%_tcldatadir/nptcl3.1 install
# tkcon lives in separate package
%__rm -f %buildroot%_tcldatadir/nptcl3.1/tkcon.tcl

%files
%doc README doc
%browser_plugins_path/libnptcl*
%_tcldatadir/nptcl3.1

%changelog
* Sat Jul 22 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.1-alt1
- updated from CVS @ 20060609

* Sun Apr 16 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0.2-alt1
- updated from CVS @ 20051117

* Wed Nov  3 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt4
- updated from CVS @ 20040524

* Sat Feb 14 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt3
- updated from CVS @ 200402012

* Sat Jun 28 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.0-alt2
- updated from CVS @ 20030218

* Wed Jan  8 2003 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt1
- Initial build.

